STRUCT TEMPLAT(3)

NAME
boost::proto::nullary_expr - A metafunction for generating nullary expression types, a grammar element for matching nullary expressions, and a PrimitiveTransform that returns the current expression unchanged.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Tag, typename T>
struct nullary_expr :  proto::transform< nullary_expr<Tag, T> > {
  // types
  typedef proto::expr< Tag, proto::term< T > >       type;
  typedef proto::basic_expr< Tag, proto::term< T > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :  proto::transform_impl< Expr, State, Data > {
    // types
    typedef Expr result_type;
    // public member functions
    Expr operator()(typename impl::expr_param, typename impl::state_param,
                    typename impl::data_param) const;
  };
};

DESCRIPTION

Use proto::nullary_expr<proto::_, proto::_> as a grammar element to match any nullary expression.